Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PageState

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PageState

Interface `PageState` represents the dynamic view of a page by a portal user. After all appropriate personalizations, attributes and entitlements have been considered for a given page and if that page is evaluated to be visible to the current user then a `PageState` will be available.

Method Summary
`String` | `getDisplayName()` Deprecated. Method `getDisplayName` retrieves the personalized display name of the associated portal page.
`String` | `getDisplayType()` Deprecated.
`PortletIdentifier` | `getEditedPortlet()` Deprecated. If there is a portlet currently being edited on this page, return its identifier.
`String` | `getImageName(int imageType)` Deprecated. Method `getImageName` retieves the image name for the image of type specified.
`int` | `getIndex()` Deprecated. Method `getIndex` returns an integer representing the position of this page in the ordering of all portal pages.
`LayoutIdentifier` | `getLayoutIdentifier()` Deprecated. Method `getLayoutIdentifier` retrieves an identifier for the layout specified to be used to render this portal page.
`List` | `getLayouts()` Deprecated. Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.
`PortletIdentifier` | `getMaximizedPortlet()` Deprecated. If there is a portlet currently maximized on this page, return its identifier.
`PageIdentifier` | `getPageIdentifier()` Deprecated. Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.
`List` | `getPortlets()` Deprecated. Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.
`List` | `getPortletsForPlaceholder(String placeholderId)` Deprecated. Method `getPortletsForPlaceholder` retrieves the list of all `PortletIdentifier` objects that are associated with visible portlets situated within the supplied placeholder.
`PortletState` | `getPortletState(PortletIdentifier portletId)` Deprecated. Method `getPortletState` retrieves the state of the portlet specified for the current user.
`Iterator` | `getPortletStates()` Deprecated. Method `getPortletStates` retrieves the state of all portlets which are visible to the current user.
`Boolean` | `isDisplayMutable()` Deprecated.
`void` | `setEditedPortlet(PortletIdentifier portletId)` Deprecated. Set a portlet to edit on this page.
`void` | `setMaximizedPortlet(PortletIdentifier portletId)` Deprecated. Set a portlet to render as maximized on this page.

Method Detail

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Deprecated.
  Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.

  Returns:
    A value of type `PageIdentifier` used to specify the portal page that this object is the state of.

### getDisplayName

    public String getDisplayName()

  Deprecated.
  Method `getDisplayName` retrieves the personalized display name of the associated portal page. This data is personalized to the associated user at group scope.

  Returns:
    A value of type `String` used to describe the portal page to the associated user.

### getDisplayType

    public String getDisplayType()

  Deprecated.

### isDisplayMutable

    public Boolean isDisplayMutable()

  Deprecated.

### getIndex

    public int getIndex()

  Deprecated.
  Method `getIndex` returns an integer representing the position of this page in the ordering of all portal pages.

  Returns:
    A value of primitive type `int` representing the position of this portal page.

### getLayoutIdentifier

    public LayoutIdentifier getLayoutIdentifier()

  Deprecated.
  Method `getLayoutIdentifier` retrieves an identifier for the layout specified to be used to render this portal page. This identifier simply contains a `String` which maps to a subdirectory under the defined layout directory. All the extra resources required to render the layout template should be loaded from this directory. This data is associated to the user at user scope.

  Returns:
    A value of type `LayoutIdentifier` used to specify the layout template to use to render this portal page.

### getPortletsForPlaceholder

    public List getPortletsForPlaceholder(String placeholderId)

  Deprecated.
  Method `getPortletsForPlaceholder` retrieves the list of all `PortletIdentifier` objects that are associated with visible portlets situated within the supplied placeholder.

  Parameters:
    `placeholderId` - A parameter of type `String`used to specify the placeholder for which we should return portlet states.``
  Returns:
    A value of type `List` containing the portlet states associated with visible portlets in the supplied placeholder.

### getPortletState

    public PortletState getPortletState(PortletIdentifier portletId)

  Deprecated.
  Method `getPortletState` retrieves the state of the portlet specified for the current user.

  Parameters:
    `portletId` - A parameter of type `PortletIdentifier` used to specify the portlet for which state is required.
  Returns:
    A value of type `PortletState` representing the state of the portlet specified.

### getPortletStates

    public Iterator getPortletStates()

  Deprecated.
  Method `getPortletStates` retrieves the state of all portlets which are visible to the current user.

  Returns:
    An `Iterator` over a set of objects of type `PortletState` representing the state of all visible portlets.

### getImageName

    public String getImageName(int imageType)

  Deprecated.
  Method `getImageName` retieves the image name for the image of type specified. Valid values are:

  `Page.IMAGE_DEFAULT`

  `Page.IMAGE_SELECTED`

  `Page.IMAGE_ROLLOVER`

  These filenames are expected to be defined in the EBCC and do not need to include directory information but should include the appropriate filename extension (eg. HomePageRollover.gif ).

  Parameters:
    `imageType` - a constant specifying the image type required.
  Returns:
    the filename defined for the image type specified.

### getLayouts

    public List getLayouts()

  Deprecated.
  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.

  Note: This is the set of layouts available for group administrators to select from as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of layouts available on this page.

### getPortlets

    public List getPortlets()

  Deprecated.
  Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available on this page.

### setEditedPortlet

    public void setEditedPortlet(PortletIdentifier portletId)

  Deprecated.
  Set a portlet to edit on this page.

  Parameters:
    `portletId` - A parameter of type `PortletIdentifier` used to specify the portlet that is to be edited.

### getEditedPortlet

    public PortletIdentifier getEditedPortlet()

  Deprecated.
  If there is a portlet currently being edited on this page, return its identifier.

  Returns:
    A value of type `PortletIdentifier` representing the portlet that is currently being edited.

### setMaximizedPortlet

    public void setMaximizedPortlet(PortletIdentifier portletId)

  Deprecated.
  Set a portlet to render as maximized on this page.

  Parameters:
    `portletId` - A parameter of type `PortletIdentifier` used to specify the portlet that is to be maximized.

### getMaximizedPortlet

    public PortletIdentifier getMaximizedPortlet()

  Deprecated.
  If there is a portlet currently maximized on this page, return its identifier.

  Returns:
    A value of type `PortletIdentifier` representing the portlet that is currently maximized.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved